# Uses of Interface
org.apache.commons.math3.analysis.DifferentiableMultivariateVectorFunction

Packages that use DifferentiableMultivariateVectorFunction
Package
Description
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.optimization.general
This package provides optimization algorithms that require derivatives.

## Uses of DifferentiableMultivariateVectorFunction in org.apache.commons.math3.analysis

Methods in org.apache.commons.math3.analysis that return DifferentiableMultivariateVectorFunction
Modifier and Type
Method
Description
`static DifferentiableMultivariateVectorFunction`
FunctionUtils.`toDifferentiableMultivariateVectorFunction(MultivariateDifferentiableVectorFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateVectorFunction` interface itself is deprecated
Methods in org.apache.commons.math3.analysis with parameters of type DifferentiableMultivariateVectorFunction
Modifier and Type
Method
Description
`static MultivariateDifferentiableVectorFunction`
FunctionUtils.`toMultivariateDifferentiableVectorFunction(DifferentiableMultivariateVectorFunction f)`
Deprecated.
this conversion method is temporary in version 3.1, as the `DifferentiableMultivariateFunction` interface itself is deprecated

## Uses of DifferentiableMultivariateVectorFunction in org.apache.commons.math3.optimization.general

Methods in org.apache.commons.math3.optimization.general with parameters of type DifferentiableMultivariateVectorFunction
Modifier and Type
Method
Description
`PointVectorValuePair`
AbstractLeastSquaresOptimizer.`optimize(int maxEval, DifferentiableMultivariateVectorFunction f, double[] target, double[] weights, double[] startPoint)`
Deprecated.
As of 3.1.